Bug 178216 - recreating "already existing" PVs should behave the same as VGs and LVs
Summary: recreating "already existing" PVs should behave the same as VGs and LVs
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-18 17:10 UTC by Corey Marthaler
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 16:30:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2006-01-18 17:10:01 UTC
Description of problem:
[root@link-08 ~]# pvcreate /dev/sda1
  Physical volume "/dev/sda1" successfully created
[root@link-08 ~]# pvcreate /dev/sda1
  Physical volume "/dev/sda1" successfully created


[root@link-08 ~]# vgcreate snapper /dev/sda1 /dev/sdb1 /dev/sdc1 /dev/sdd1
/dev/sde1 /dev/sdf1
  Volume group "snapper" successfully created
[root@link-08 ~]# vgcreate snapper /dev/sda1 /dev/sdb1 /dev/sdc1 /dev/sdd1
/dev/sde1 /dev/sdf1
  A volume group called 'snapper' already exists.


[root@link-08 ~]# lvcreate -L 10G snapper -n origin
  Logical volume "origin" created
[root@link-08 ~]# lvcreate -L 10G snapper -n origin
  Logical volume "origin" already exists in volume group "snapper"


Version-Release number of selected component (if applicable):
[root@link-08 ~]# rpm -q lvm2
lvm2-2.02.01-1.3.RHEL4
[root@link-08 ~]# rpm -q device-mapper
device-mapper-1.02.02-3.0.RHEL4


How reproducible:
everytime

Comment 1 Alasdair Kergon 2006-02-01 16:30:43 UTC
It's safe to run pvcreate multiple times - it doesn't cause corruption and
people often do this.  Running vgcreate or lvcreate multiple times would cause
corruption so has to be prevented.

I don't intend to do anything about this at this point.  If we ever get around
to removing the 'success' messages then we may decide to add a warning message then.


Note You need to log in before you can comment on or make changes to this bug.